Bug 1021846 - JGroups: Intermittent failures in ConnectStressTest
JGroups: Intermittent failures in ConnectStressTest
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER1
: EAP 6.4.0
Assigned To: Bela Ban
Jitka Kozana
Russell Dickenson
JGroups testsuite
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 04:18 EDT by Richard Janík
Modified: 2015-06-22 06:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 06:30:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JGRP-1891 Minor Closed org.jgroups.tests.ConnectStressTest.testConcurrentJoining fails randomly 2015-06-22 06:41:01 EDT

  None (edit)
Description Richard Janík 2013-10-22 04:18:05 EDT
Description of problem:

EAP 6.2.0.ER1 - 6.2.0.ER6
JGroups 3.2.12.Final

I'm seeing a random failure in org.jgroups.tests.ConnectStressTest.testConcurrentJoining:

org.jgroups.tests.ConnectStressTest.testConcurrentJoining (from org.jgroups.tests.ConnectStressTest-stack-independent)

Error Message

null

Stacktrace


java.lang.NullPointerException 
at org.jgroups.tests.ConnectStressTest.testConcurrentJoining(ConnectStressTest.java:89) 
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60) 
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37) 
at java.lang.reflect.Method.invoke(Method.java:611) 
at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80) 
at org.testng.internal.InvokeMethodRunnable.runOne(InvokeMethodRunnable.java:46) 
at org.testng.internal.InvokeMethodRunnable.run(InvokeMethodRunnable.java:37) 
at org.testng.internal.MethodInvocationHelper.invokeWithTimeoutWithNoExecutor(MethodInvocationHelper.java:222) 
at org.testng.internal.MethodInvocationHelper.invokeWithTimeout(MethodInvocationHelper.java:211) 
at org.testng.internal.Invoker.invokeMethod(Invoker.java:724) 
at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:901) 
at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1231) 
at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127) 
at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111) 
at org.testng.TestRunner.privateRun(TestRunner.java:767) 
at org.testng.TestRunner.run(TestRunner.java:617) 
at org.testng.SuiteRunner.runTest(SuiteRunner.java:334) 
at org.testng.SuiteRunner.access$000(SuiteRunner.java:37) 
at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368) 
at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64) 
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:314) 
at java.util.concurrent.FutureTask.run(FutureTask.java:149) 
at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:908) 
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:931) 
at java.lang.Thread.run(Thread.java:738) 



or



Error Message

view doesn't have size of 20 (has 19): [11|2] [11, 15, 12, 8, 13, 14, 19, 16, 1, 7, 2, 4, 10, 9, 20, 5, 3, 17, 18]

Stacktrace


java.lang.AssertionError 
at org.jgroups.tests.ConnectStressTest.testConcurrentJoining(ConnectStressTest.java:90) 
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) 
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) 
at java.lang.reflect.Method.invoke(Method.java:616) 
at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80) 
at org.testng.internal.InvokeMethodRunnable.runOne(InvokeMethodRunnable.java:46) 
at org.testng.internal.InvokeMethodRunnable.run(InvokeMethodRunnable.java:37) 
at org.testng.internal.MethodInvocationHelper.invokeWithTimeoutWithNoExecutor(MethodInvocationHelper.java:222) 
at org.testng.internal.MethodInvocationHelper.invokeWithTimeout(MethodInvocationHelper.java:211) 
at org.testng.internal.Invoker.invokeMethod(Invoker.java:724) 
at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:901) 
at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1231) 
at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127) 
at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111) 
at org.testng.TestRunner.privateRun(TestRunner.java:767) 
at org.testng.TestRunner.run(TestRunner.java:617) 
at org.testng.SuiteRunner.runTest(SuiteRunner.java:334) 
at org.testng.SuiteRunner.access$000(SuiteRunner.java:37) 
at org.testng.SuiteRunner$SuiteWorker.run(SuiteRunner.java:368) 
at org.testng.internal.thread.ThreadUtil$2.call(ThreadUtil.java:64) 
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334) 
at java.util.concurrent.FutureTask.run(FutureTask.java:166) 
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1146) 
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) 
at java.lang.Thread.run(Thread.java:679)
Comment 1 Richard Achmatowicz 2014-03-27 10:53:56 EDT
I'm not seeing these any longer in EAP 6.3 DR6.
Comment 2 Richard Janík 2014-04-29 04:13:07 EDT
I've seen it with 6.3.0.ER2.

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-manu-jgroups-rhel/jdk=java16_default,label_exp=RHEL6%20%26%26%20x86/50/testReport/org.jgroups.tests/ConnectStressTest/testConcurrentJoining/

Error Message

view doesn't have size of 20 (has 7): [19|1] [19, 3, 6, 10, 2, 12, 16]
Stacktrace


java.lang.AssertionError 
at org.jgroups.tests.ConnectStressTest.testConcurrentJoining(ConnectStressTest.java:91) 
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) 
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 
at java.lang.reflect.Method.invoke(Method.java:597) 
at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:84) 
at org.testng.internal.Invoker.invokeMethod(Invoker.java:714) 
at org.testng.internal.Invoker.invokeTestMethod(Invoker.java:901) 
at org.testng.internal.Invoker.invokeTestMethods(Invoker.java:1231) 
at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:127) 
at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:111) 
at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895) 
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918) 
at java.lang.Thread.run(Thread.java:662) 

-- snippet from standard output:

2583 [WARN] GMS: - there was more than 1 candidate for coordinator: {4=1, 19=1}
2605 [WARN] GMS: - there was more than 1 candidate for coordinator: {4=1, 19=1}
2680 [WARN] GMS: - there was more than 1 candidate for coordinator: {4=1, 19=1}
channel[0].view has 13 members (expected: 20)
5884 [DEBUG] MERGE2: - 4 found different views : [4|2], [19|1]; sending up MERGE event with merge participants [4, 19].
Discovery results:
[16]: coord=19
[19]: coord=19
[4]: coord=4
channel[0].view has 20 members (expected: 20)
thread #1: size=20, view-id: [4|3]
thread #2: size=7, view-id: [19|1]
thread #3: size=7, view-id: [19|1]
thread #4: size=20, view-id: [4|3]
thread #5: size=20, view-id: [4|3]
thread #6: size=7, view-id: [19|1]
thread #7: size=20, view-id: [4|3]
thread #8: size=13, view-id: [4|2]
thread #9: size=20, view-id: [4|3]
thread #10: size=7, view-id: [19|1]
thread #11: size=20, view-id: [4|3]
thread #12: size=7, view-id: [19|1]
thread #13: size=20, view-id: [4|3]
thread #14: size=20, view-id: [4|3]
thread #15: size=20, view-id: [4|3]
thread #16: size=7, view-id: [19|1]
thread #17: size=20, view-id: [4|3]
thread #18: size=20, view-id: [4|3]
thread #19: size=20, view-id: [4|3]
thread #20: size=20, view-id: [4|3]
Comment 4 Richard Janík 2014-10-14 06:30:51 EDT
Last seen in 6.3.0.ER10 (GA). An upstream testsuite stabilization issue has been opened (JGRP-1891).
Comment 7 JBoss JIRA Server 2015-06-22 06:41:01 EDT
Bela Ban <bela@jboss.com> updated the status of jira JGRP-1891 to Closed

Note You need to log in before you can comment on or make changes to this bug.